GNU bug report logs - #8402
24.0.50; Hex colors are not rendered correctly on OS X (Cocoa)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Steve Purcell <steve@HIDDEN>; dated Fri, 1 Apr 2011 10:02:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 7 May 2011 01:56:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 21:56:08 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QIWkZ-0004ks-Sk
	for submit <at> debbugs.gnu.org; Fri, 06 May 2011 21:56:08 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QIWkS-0004kJ-Iz
	for 8402 <at> debbugs.gnu.org; Fri, 06 May 2011 21:56:05 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 5E65068413;
	Sat,  7 May 2011 02:55:54 +0100 (IST)
Message-ID: <4DC4A6A8.2010401@HIDDEN>
Date: Sat, 07 May 2011 02:55:52 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>
	<4DC3392A.3090500@HIDDEN>
In-Reply-To: <4DC3392A.3090500@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Steve Purcell <steve@HIDDEN>,
	Erik Andrejko <eandrejko@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 06/05/11 00:56, David De La Harpe Golden wrote:
> On 04/05/11 17:58, David De La Harpe Golden wrote:
>
> Aside, I'm out-of-date here:

Uh. And just to come screaming further toward the present day, it seems
in 2010/2011 work was/is/will-be ongoing to allow x11 clients to opt to
offload color correction via a "net-color" fd.o spec to a "color
server" (part of the compositing manager), for hardware-accelerated
corrections on a per-subregion-of-window basis, with easy libs for
clients to use. [1] Seems to be in an early/unstable but usable state
right now, so by the  time anyone gets to this on the emacs side...

So, while implementing for x11 emacs the xicc all-client-side way would
presumably work right now, it may get easier and faster shortly.  They
seem to be maintaining backward compat so the
(presently-most-widely-used) xicc client-side way keeps on working (but
won't benefit from acceleration).

[1] http://www.freedesktop.org/wiki/OpenIcc




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 6 May 2011 21:24:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 17:24:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QISVz-0006SP-1O
	for submit <at> debbugs.gnu.org; Fri, 06 May 2011 17:24:47 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QISVx-0006SD-Cr
	for 8402 <at> debbugs.gnu.org; Fri, 06 May 2011 17:24:46 -0400
Received: from mandala.home (host86-151-32-155.range86-151.btcentralplus.com
	[86.151.32.155])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id E9731ECD822;
	Fri,  6 May 2011 23:24:37 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <4DC4532F.8010204@HIDDEN>
Date: Fri, 6 May 2011 22:24:36 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <6B42FB8F-1F2A-43A1-AA79-E7E38076B0A6@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>	<4DC25C7E.1080702@HIDDEN>	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
	<4DC28668.10609@HIDDEN> <4DC2A0FB.7080209@HIDDEN>
	<FCB3A8BF-B9B2-452E-B004-AD1541788473@HIDDEN>
	<4DC32A5A.2090006@HIDDEN>
	<617DC9CC-3396-4F7E-B290-67449B33DC39@HIDDEN>
	<4DC4532F.8010204@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On 6 May 2011, at 20:59, David De La Harpe Golden wrote:

> I still don't know exactly what DigitalColor Meter is doing.


Same here.


> > Nonetheless, I think the browsers are getting it right by doing what
> > users expect,
>=20
> Er. I think that's sorta the wrong way round, what's happening is that
> browsers are starting to generate user expectations for other apps -
> like yours. Browsers, again, are flat-out required to use sRGB [5]. =
Web
> folk of course are a major group of emacs users, so it's IMO worth
> catering to their needs.  But I'm not sure it's sufficient reason to
> switch the default on its own, more of an argument for adding the
> switching capability previously discussed.


+1.


> Though if emacs were to wholeheartedly adopt a standard interpretation
> of intraemacs color strings on all color-management-capable platforms,
> then Apple Generic RGB would obviously be a hopeless basis (though =
could
> still be provided for with a prefix, say, "AppleGenericRGB:r/g/b").
>=20
> Perhaps it could be semiseriously argued that emacs, as it is capable
> of acting as a quite usable web browser via w3 or emacs-w3m, should =
use
> sRGB and the web named-colors values.


<chuckle>

I certainly think there's an opportunity to review the status quo on all =
supported window systems, and to figure out if there's a desire/basis =
for standardization on something like sRGB.

I'm going to bow out, because I don't think I have any further insights =
to offer.



> [4] TextMate is even the first text editor in quite a while to do =
anything particularly interesting from the emacs community perspective - =
right now, you have to add the sorta-kludgey "mumamo" found in the =
"nxhtml" suite for emacs to catch up with it in some areas.


Agreed - I use the somewhat-antiquated MMM mode myself, which has less =
baggage than mumamo, but is decidedly creaky.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 6 May 2011 19:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 15:59:54 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QIRBq-0004TI-7r
	for submit <at> debbugs.gnu.org; Fri, 06 May 2011 15:59:54 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QIRBn-0004T5-9J
	for 8402 <at> debbugs.gnu.org; Fri, 06 May 2011 15:59:52 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id AEDAC68413;
	Fri,  6 May 2011 20:59:44 +0100 (IST)
Message-ID: <4DC4532F.8010204@HIDDEN>
Date: Fri, 06 May 2011 20:59:43 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>	<4DC25C7E.1080702@HIDDEN>	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
	<4DC28668.10609@HIDDEN> <4DC2A0FB.7080209@HIDDEN>
	<FCB3A8BF-B9B2-452E-B004-AD1541788473@HIDDEN>
	<4DC32A5A.2090006@HIDDEN>
	<617DC9CC-3396-4F7E-B290-67449B33DC39@HIDDEN>
In-Reply-To: <617DC9CC-3396-4F7E-B290-67449B33DC39@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 06/05/11 08:00, Steve Purcell wrote:
 > The poster child app for comparisons is any web browser,

No, that's the one kind of app that I consider invalid for fair
comparison, as standards-compliant browsers are simply required to use
sRGB by default, regardless of any platform-specific conventions.

 > I'd hope that Digital Color Meter displays about-to-go-to-device
 > values; I presume that those color values are the important ones,
 > since all correctly calibrated devices will display those colors
 > identically.

Uh, no, devices can have all sorts of gamut, color values about to go
to the device would be in a post-any-software-transform
pre-any-hardware-LUT-transform form, that may or may not coincide with
sRGB.  Think of how much extra you can pay for a "wide gamut" display
capable of colors well outside sRGB [1] - and how annoyed you'd be if
your OS wasn't sending them.

 > In other words, the system's color picker yields hex colors which,
 > when put in a web page, show up as the desired color. I'd na=C3=AFvely
 > expect every app to work like this.

I still don't know exactly what DigitalColor Meter is doing.  But maybe
it actually takes steps to always report in sRGB so that it reliably
gives the same value [s]RGB value for the same color shown via
different devices. That  would kinda  make sense, though it would mean
you'd presumably get an  error or clipped answers (or maybe it would
switch to scRGB [2] or something) on wide-gamut displays.

Though it is does seem strange they'd make the system color tool report
in sRGB if they're also telling apps to use Apple Generic RGB, or at
least not offer values in both in it (AFAICS, having seen a screnshot,
it's got a dropdown list of a few spaces to report in) and make it
clear what space its "RGB" really is (by the sounds of it, sRGB...),
but OTOH, maybe it's geared mostly to web dev needs in the first place
- I expect graphics pros are more likely to use photoshop [3].

i.e. the DigitalColor Meter utility might just be doing what browser
users, particularly the web developer types likely to use it, naively
expect.

 > In the interests of fairness,
 > I'll also note that TextMate (an extremely popular non-free editor on
 > OS X) interprets color values in its themes as being in the Apple
 > Generic RGB color space, so I guess internally it's using
 > colorFromCalibratedRed, just like Emacs.

It does sound to me like TextMate is just following the Word Of Apple
like iterm2, then. And emacs is after all an app in the exact same
class as TextMate [3]

 > Nonetheless, I think the browsers are getting it right by doing what
 > users expect,

Er. I think that's sorta the wrong way round, what's happening is that
browsers are starting to generate user expectations for other apps -
like yours. Browsers, again, are flat-out required to use sRGB [5]. Web
folk of course are a major group of emacs users, so it's IMO worth
catering to their needs.  But I'm not sure it's sufficient reason to
switch the default on its own, more of an argument for adding the
switching capability previously discussed.

Though if emacs were to wholeheartedly adopt a standard interpretation
of intraemacs color strings on all color-management-capable platforms,
then Apple Generic RGB would obviously be a hopeless basis (though could
still be provided for with a prefix, say, "AppleGenericRGB:r/g/b").

Perhaps it could be semiseriously argued that emacs, as it is capable
of acting as a quite usable web browser via w3 or emacs-w3m, should use
sRGB and the web named-colors values.

[1] http://www.eizo.com/global/products/coloredge/cg221/index.html

[2] http://en.wikipedia.org/wiki/ScRGB

[3]=20
http://blogs.adobe.com/jnack/2008/02/make_photoshop_sample_colors_outside=
_the_a.html

[4] TextMate is even the first text editor in quite a while to do=20
anything particularly interesting from the emacs community perspective -=20
right now, you have to add the sorta-kludgey "mumamo" found in the=20
"nxhtml" suite for emacs to catch up with it in some areas.

[5] http://www.w3.org/TR/css3-color/#rgb-color




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 6 May 2011 07:00:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 03:00:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QIF1l-0002JG-Ob
	for submit <at> debbugs.gnu.org; Fri, 06 May 2011 03:00:42 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QIF1i-0002J2-3I
	for 8402 <at> debbugs.gnu.org; Fri, 06 May 2011 03:00:39 -0400
Received: from mandala.home (host86-151-32-155.range86-151.btcentralplus.com
	[86.151.32.155])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 8BC79ECD822;
	Fri,  6 May 2011 09:00:30 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=iso-8859-1
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <4DC32A5A.2090006@HIDDEN>
Date: Fri, 6 May 2011 08:00:29 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <617DC9CC-3396-4F7E-B290-67449B33DC39@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>	<4DC25C7E.1080702@HIDDEN>	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
	<4DC28668.10609@HIDDEN> <4DC2A0FB.7080209@HIDDEN>
	<FCB3A8BF-B9B2-452E-B004-AD1541788473@HIDDEN>
	<4DC32A5A.2090006@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On 5 May 2011, at 23:53, David De La Harpe Golden wrote:

> On 05/05/11 19:43, Steve Purcell wrote:
>=20
>> I think I've been conflating sRGB and device colors.
>> What I'd be in favor of right now would be somebody changing NS
> > to use device RGB colors by default, and seeing if the world
> > falls apart
> >
> > The indications are that it would improve matters for NS emacs
> > users without upsetting anyone else.
>=20
> Apple docs do seem quite insistent that the right thing to do is to
> stick to NSCalibratedRGBColorSpace.
>=20
> Uh. Then I saw that iterm2 that you mentioned is GPL licensed, so, =
hey,
> I can see what it's doing. And, it, like emacs, seems to be using the
> NSCalibratedRGBColorSpace throughout, at least at first glance. [1]


Yes, you're right -- I double-checked, and it looks like the authors of =
precision color themes for iTerm2 have had to back-calculate color =
values that would look right at display time:

=
https://github.com/altercation/solarized/tree/master/iterm2-colors-solariz=
ed



> So why then would the colors be different? Well, one possibility would =
be emaccs somehow not using the api right, but that reminded me of
> something quite important:
>=20
> If iterm2 acts as a 256 color terminal emulator, it likely has a fixed
> 256 color palette, just like an x11 256 color terminal. [2]. Some
> 24-bit colors can be displayed perfectly with such a  palette, but the
> bulk get approximated to the nearest available from the palette.


iTerm2 does indeed act like that, but don't worry - I'm not running =
emacs inside iTerm.


> So, uh, what other apps did you compare emacs to besides iterm2?
> Colors shown via iterm2 are suspect!  (I realise you  mention applying
> an srgb to apply-generic-rgb transform "manually" and  it giving
> acceptable results, but I'm now wondering was that all some sort of
> unlikely coincidence)


The poster child app for comparisons is any web browser, in which a hex =
value of #nnnnnn gives the exact same color, as perceived visually and =
by checking with Apple's Digital Color Meter tool. In other words, the =
system's color picker yields hex colors which, when put in a web page, =
show up as the desired color. I'd na=EFvely expect every app to work =
like this.

In my case, to get the right colors for Emacs I had to fire up the =
arcane color calculator inside Apple's ColorSync Utility and then =
laboriously pick desired colors from a web page, and translate them =
individually to Generic RGB values which I could then plug into Emacs. =
And the results in Emacs still don't exactly match the original colors.


> I'd also be worried that "DigitalColor Meter" utility might lead =
astray
> a bit. Say it shows the about-to-go-to-device values - that would
> meaning that sure, as Erik reported with his patch, when emacs uses =
the
> device space, effectively a passthru, values you put into emacs =
exactly
> match the utility's feedback... but... does that patched emacs then
> match other common apps, and do other common apps which allow rgb =
entry
> match the utility's feedback? (not clear to me from the thread)


Perhaps Erik can comment on whether his device-color-patched Emacs =
produces colors that are perceptually identical?

I'd hope that Digital Color Meter displays about-to-go-to-device values; =
I presume that those color values are the important ones, since all =
correctly calibrated devices will display those colors identically.

In the interests of fairness, I'll also note that TextMate (an extremely =
popular non-free editor on OS X) interprets color values in its themes =
as being in the Apple Generic RGB color space, so I guess internally =
it's using colorFromCalibratedRed, just like Emacs.

Nonetheless, I think the browsers are getting it right by doing what =
users expect, and the other apps are confusing.=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 23:56:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 19:56:37 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QI8PN-00015M-Kp
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 19:56:37 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QI8PL-00015A-31
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 19:56:36 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 886C3683D2;
	Fri,  6 May 2011 00:56:28 +0100 (IST)
Message-ID: <4DC3392A.3090500@HIDDEN>
Date: Fri, 06 May 2011 00:56:26 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>
	<4DC185A8.7080907@HIDDEN>
In-Reply-To: <4DC185A8.7080907@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Steve Purcell <steve@HIDDEN>,
	Erik Andrejko <eandrejko@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 04/05/11 17:58, David De La Harpe Golden wrote:

> HOWEVER... the Xcms [3] scheme predates ICC and isn't really the color
> calibration system people tend to use nowadays AFAIK, people use xicc
> [4]

Aside, I'm out-of-date here: xicc (make ICC profile available) in 
conjuction with xcalib (LUT load), but apparently more-nowadays, people 
favour dispwin from argyllcms (debian package argyll) that manages both, 
and also makes it easily autoapplied from a known location [1][2]

[1] http://www.argyllcms.com/doc/dispprofloc.html#Linux
[2] http://en.wikipedia.org/wiki/Linux_color_management

(yes, [2] is misnamed, it's mentioned on the talk page as an issue with 
the article)






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 22:53:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 18:53:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QI7QD-0008BD-Tx
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 18:53:26 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QI7QB-0008Ax-Jz
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 18:53:24 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 8BD82683D2;
	Thu,  5 May 2011 23:53:16 +0100 (IST)
Message-ID: <4DC32A5A.2090006@HIDDEN>
Date: Thu, 05 May 2011 23:53:14 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>	<4DC25C7E.1080702@HIDDEN>	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
	<4DC28668.10609@HIDDEN> <4DC2A0FB.7080209@HIDDEN>
	<FCB3A8BF-B9B2-452E-B004-AD1541788473@HIDDEN>
In-Reply-To: <FCB3A8BF-B9B2-452E-B004-AD1541788473@HIDDEN>
Content-Type: multipart/mixed; boundary="------------090506080300050808020308"
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org

This is a multi-part message in MIME format.
--------------090506080300050808020308
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

On 05/05/11 19:43, Steve Purcell wrote:

> I think I've been conflating sRGB and device colors.
> What I'd be in favor of right now would be somebody changing NS
 > to use device RGB colors by default, and seeing if the world
 > falls apart
 >
 > The indications are that it would improve matters for NS emacs
 > users without upsetting anyone else.

Apple docs do seem quite insistent that the right thing to do is to
stick to NSCalibratedRGBColorSpace.

Uh. Then I saw that iterm2 that you mentioned is GPL licensed, so, hey,
I can see what it's doing. And, it, like emacs, seems to be using the
NSCalibratedRGBColorSpace throughout, at least at first glance. [1]

So why then would the colors be different? Well, one possibility would 
be emaccs somehow not using the api right, but that reminded me of
something quite important:

If iterm2 acts as a 256 color terminal emulator, it likely has a fixed
256 color palette, just like an x11 256 color terminal. [2]. Some
24-bit colors can be displayed perfectly with such a  palette, but the
bulk get approximated to the nearest available from the palette.

To show you the quantization effect I mean, see the attached
emacs_tt_vs_gui_cols.png, it's a screenshot from my x11 system of emacs
using the same face color settings in x11 emacs and a 256-color text
terminal. On a text terminal, emacs can only pick similar but not quite
identical colors.

So, uh, what other apps did you compare emacs to besides iterm2?
Colors shown via iterm2 are suspect!  (I realise you  mention applying
an srgb to apply-generic-rgb transform "manually" and  it giving
acceptable results, but I'm now wondering was that all some sort of
unlikely coincidence)

I'd also be worried that "DigitalColor Meter" utility might lead astray
a bit. Say it shows the about-to-go-to-device values - that would
meaning that sure, as Erik reported with his patch, when emacs uses the
device space, effectively a passthru, values you put into emacs exactly
match the utility's feedback... but... does that patched emacs then
match other common apps, and do other common apps which allow rgb entry
match the utility's feedback? (not clear to me from the thread)

Unfortunately I don't have a mac, so right now I can't personally
compare to other apps or test anything...

> Having a customization for the NS colorspace would be a nice-to-have,

Yup.

> and the possibility of having colors displayed identically across
 > all window-systems would be a laudable longer-term goal.

Indeed.


[1] 
http://www.google.com/codesearch?hl=en&lr=&q=Calibrated+package%3Ahttp%3A%2F%2Fiterm2\.googlecode\.com

[2] http://www.pixelbeat.org/docs/terminal_colours/#256

--------------090506080300050808020308
Content-Type: image/png;
 name="emacs_tt_vs_gui_cols.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="emacs_tt_vs_gui_cols.png"
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--------------090506080300050808020308--




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 18:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 14:43:17 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QI3W8-0002k1-Sq
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 14:43:17 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QI3W5-0002jk-7z
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 14:43:14 -0400
Received: from mandala.home (host86-151-32-155.range86-151.btcentralplus.com
	[86.151.32.155])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id DD5D4ECD822;
	Thu,  5 May 2011 20:43:05 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <4DC2A0FB.7080209@HIDDEN>
Date: Thu, 5 May 2011 19:43:04 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <FCB3A8BF-B9B2-452E-B004-AD1541788473@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>	<4DC25C7E.1080702@HIDDEN>	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
	<4DC28668.10609@HIDDEN> <4DC2A0FB.7080209@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On 5 May 2011, at 14:07, David De La Harpe Golden wrote:

> On 05/05/11 12:13, David De La Harpe Golden wrote:
>> On 05/05/11 10:17, Steve Purcell wrote:
>>>=20
>>> Would there be a problem if X11 was left as-is, and NS started to
>>> interpret #rrggbb as sRGB?
>>>=20
>>=20
>> Shrug. Insofar as with the current situation one can't expect the
>> colors to match across the platforms anyway, I guess it wouldn't =
matter
>> much.
>=20
> though (just to spell out more for the archives than respondents who =
likely understood this) - ns emacs is currently using =
NSCalibratedRGBColorSpace as Chong Yidong already mentioned and afaics, =
so it would be a change on ns itself for ns switch to sRGB, I just meant =
it wouldn't be making interplatform compat worse particularly.


I think I've been conflating sRGB and device colors. What I'd be in =
favor of right now would be somebody changing NS to use device RGB =
colors by default, and seeing if the world falls apart. The indications =
are that it would improve matters for NS emacs users without upsetting =
anyone else.

Having a customization for the NS colorspace would be a nice-to-have, =
and the possibility of having colors displayed identically across all =
window-systems would be a laudable longer-term goal.=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 13:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 09:07:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHyGz-0007f3-Tc
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 09:07:18 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QHyGx-0007eo-I7
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 09:07:15 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id E9EB4683D2;
	Thu,  5 May 2011 14:07:08 +0100 (IST)
Message-ID: <4DC2A0FB.7080209@HIDDEN>
Date: Thu, 05 May 2011 14:07:07 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>	<878vvhk9zj.fsf@HIDDEN>	<4DC185A8.7080907@HIDDEN>	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>	<4DC25C7E.1080702@HIDDEN>	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
	<4DC28668.10609@HIDDEN>
In-Reply-To: <4DC28668.10609@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 05/05/11 12:13, David De La Harpe Golden wrote:
> On 05/05/11 10:17, Steve Purcell wrote:
>>
>> Would there be a problem if X11 was left as-is, and NS started to
>> interpret #rrggbb as sRGB?
>>
>
> Shrug. Insofar as with the current situation one can't expect the
> colors to match across the platforms anyway, I guess it wouldn't matter
> much.

though (just to spell out more for the archives than respondents who 
likely understood this) - ns emacs is currently using 
NSCalibratedRGBColorSpace as Chong Yidong already mentioned and afaics, 
so it would be a change on ns itself for ns switch to sRGB, I just meant 
it wouldn't be making interplatform compat worse particularly.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 11:13:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 07:13:55 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHwVH-0004Jb-1d
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 07:13:55 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QHwVE-0004JP-Th
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 07:13:53 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 4C687683D2;
	Thu,  5 May 2011 12:13:46 +0100 (IST)
Message-ID: <4DC28668.10609@HIDDEN>
Date: Thu, 05 May 2011 12:13:44 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
	<878vvhk9zj.fsf@HIDDEN>
	<4DC185A8.7080907@HIDDEN>
	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>
	<4DC25C7E.1080702@HIDDEN>
	<641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
In-Reply-To: <641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 05/05/11 10:17, Steve Purcell wrote:
>
> Would there be a problem if X11 was left as-is, and NS started to interpret #rrggbb as sRGB?
>

Shrug. Insofar as with the current situation one can't expect the
colors to match across the platforms anyway, I guess it wouldn't matter
much. And I do suspect (but n.b. haven't yet checked) that on w32, they
already end up sRGB rather than device-specific, just as a result of
most w32 apis being defined to be sRGB IIRC.

** However, another option, likely quite easily implemented, though,
could  be to just offer a customization as to which of the suitable
predefined spaces to interpret values in on ns, e.g.

(defcustom ns-color-space 'srgb
    "Interpret color specifications in the given color space."
    :type '(choice (const :tag "sRGB" srgb)
                   (const :tag "Compatible with Adobe RGB(1998)" adobe)
                   (const :tag "Calibrated/Generic RGB" generic)
                   (const :tag "Device RGB" device)))

and then use the relevant NSColorSpace classmethods [1] and NSColor
colorWithColorSpace. [2] in the relevant spots, instead of just
colorWithCalibratedRed or colorWithDeviceRed.

That seems to me to be a fairly good option for now?

(A decision would also need to be made as to whether the named color
values bundled with non-x11 emacs are interpreted relative to that
configured space or considered to be sRGB (or one of the others))

 > using sRGB on NS would keep emacs unsurprising to OS X folk (to
 > paraphrase you).

Thing is, the Apple docs do seem to be encouraging use of their
NSCalibratedRGBColorSpace, and not sRGB, so I'm not actually convinced
sRGB would be unsurprising to OS X folk, at least if other OS X apps
are following those guidelines. The people it primarily wouldn't
surprise might be web and windows folk...

Another little issue is that there _is no_ predefined sRGBColorSpace
available until macosx 10.5+ ! [1]. Do we still support < 10.5 ?


[1] 
http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSColorSpace_Class/Reference/Reference.html#//apple_ref/occ/cl/NSColorSpace

[2] 
http://developer.apple.com/library/mac/documentation/Cocoa/Reference/ApplicationKit/Classes/NSColor_Class/Reference/Reference.html#//apple_ref/doc/uid/20000353-BBCJCBJA




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 09:17:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 05:17:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHugl-0001e8-UL
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 05:17:40 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QHugh-0001dr-H4
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 05:17:37 -0400
Received: from mandala.home (host86-151-32-155.range86-151.btcentralplus.com
	[86.151.32.155])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id E3C85ECD779;
	Thu,  5 May 2011 11:17:23 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <4DC25C7E.1080702@HIDDEN>
Date: Thu, 5 May 2011 10:17:20 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <641B1425-8895-4989-B3D4-C288EBC2A3F9@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
	<878vvhk9zj.fsf@HIDDEN>
	<4DC185A8.7080907@HIDDEN>
	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>
	<4DC25C7E.1080702@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On 5 May 2011, at 09:14, David De La Harpe Golden wrote:

> On 04/05/11 20:31, Steve Purcell wrote:
>=20
>> Adding a new "sRGB:r/g/b" syntax seems less clean
>> if you'd have to handle it explicitly before passing it
> > to XParseColor, why not just make it the default?
>>=20
>=20
> Remember, the XParseColor() system remains in wide use by other
> x11 apps.  If emacs used "#RRGGBB" in an incompatible manner, we'd =
then
> be getting bugs about the colors not matching anymore between emacs
> and  other apps on x11 when people use the "same" values, e.g.
> launching both
> xterm -fg '#fedcba' -bg '#123456'
> emacs -fg '#fedcba' -bg '#123456'
> one would expect them to look the same.
>=20
> I think keeping emacs unsurprising to x11 folk is good, given x11's =
use
> as the main free gui...


Makes sense.

Would there be a problem if X11 was left as-is, and NS started to =
interpret #rrggbb as sRGB?

Seems like the current situation on X11 is dependent on system =
configuration anyway, and using sRGB on NS would keep emacs unsurprising =
to OS X folk (to paraphrase you).

-Steve=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 5 May 2011 08:15:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 04:15:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHtiD-0000DD-Fl
	for submit <at> debbugs.gnu.org; Thu, 05 May 2011 04:15:05 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QHtiB-0000CW-0n
	for 8402 <at> debbugs.gnu.org; Thu, 05 May 2011 04:15:03 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 8DEAF683D2;
	Thu,  5 May 2011 09:14:56 +0100 (IST)
Message-ID: <4DC25C7E.1080702@HIDDEN>
Date: Thu, 05 May 2011 09:14:54 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
	<878vvhk9zj.fsf@HIDDEN>
	<4DC185A8.7080907@HIDDEN>
	<5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>
In-Reply-To: <5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 04/05/11 20:31, Steve Purcell wrote:

> Adding a new "sRGB:r/g/b" syntax seems less clean
> if you'd have to handle it explicitly before passing it
 > to XParseColor, why not just make it the default?
>

Remember, the XParseColor() system remains in wide use by other
x11 apps.  If emacs used "#RRGGBB" in an incompatible manner, we'd then
be getting bugs about the colors not matching anymore between emacs
and  other apps on x11 when people use the "same" values, e.g.
launching both
xterm -fg '#fedcba' -bg '#123456'
emacs -fg '#fedcba' -bg '#123456'
one would expect them to look the same.

I think keeping emacs unsurprising to x11 folk is good, given x11's use
as the main free gui...

Another option in the design space could be to have an "emacs:" super-
prefix that does colors in a standard emacs space* e.g.
"emacs:#334455". Emacs could also bundle its named-colors table (it
already does for non-x11 use) declared in the space, so you could do
"emacs:Tomato", while anything not prefixed that way is passed through
to XParseColor().  Then e.g. "emacs:#RRGGBB" would be potentially
different to an "#RRGGBB", "emacs:Tomato" potentially different to
"Tomato".

Or you could flip that, and have  an "x11:" super-prefix that means
"pass the remainder through to XParseColor()", while unprefixed is
handled in the emacs space, but people will, as above, expect command
line args and X resources on x11 to be interpreted in the x11 manner,
so such a prefix might then have to be implicitly added for those cases.

Either way, that's a bit different to just having srgb: - it handles
named colors in a cross-platform manner, and leaves it possible for
emacs to support more syntaxes internally - Hey, I suppose supporting
the CSS3-color syntax [1] in general would be neat, either prefixed or
unprefixed.  Have to remember that the x11 (and therefore historic 
emacs) color names and html/css color names clash somewhat, sigh [2]

...Or we could stop using string specs and have an actual color type,
maybe with strings in color slots interpreted backward compatibly...

* presumably srgb in practice, while it's sometimes criticised, it's a
reasonable choice, it is a text editor we're talking about.

[1] http://www.w3.org/TR/css3-color/

[2] 
http://en.wikipedia.org/wiki/X11_color_names#Color_names_that_clash_between_X11_and_HTML.2FCSS




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 4 May 2011 19:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 04 15:31:48 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHhnY-0005Wv-4p
	for submit <at> debbugs.gnu.org; Wed, 04 May 2011 15:31:48 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QHhnU-0005Wa-Ir
	for 8402 <at> debbugs.gnu.org; Wed, 04 May 2011 15:31:45 -0400
Received: from mandala.home (host86-151-32-155.range86-151.btcentralplus.com
	[86.151.32.155])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 88D84ECD779;
	Wed,  4 May 2011 21:31:36 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <4DC185A8.7080907@HIDDEN>
Date: Wed, 4 May 2011 20:31:35 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <5EDBC6E6-C26F-4D4A-A05B-EB2B7F8F657C@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
	<878vvhk9zj.fsf@HIDDEN>
	<4DC185A8.7080907@HIDDEN>
To: David De La Harpe Golden <david@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>,
	Chong Yidong <cyd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On 4 May 2011, at 17:58, David De La Harpe Golden wrote:

> ** OTOH it's possible to imagine the emacs project deciding - rather =
backward incompatibly for x11 users mind you - that, say, "#RRGGBB" =
syntax color strings in emacs on all platforms are actually to be =
considered to be in the sRGB colorspace henceforth, like they are =
officially in html/css.


This would be a great step forward, IMO: sRGB is the standard on the web =
and on most displays, and a clear definition of Emacs' colorspace would =
be a Good Thing.


> So a more backward-compat friendly thing to do than using #RRGGBB for =
srgb, might be to add support within emacs for an =
"sRGB:<red>/<green>/<blue>"  syntax by analogy with the standard =
XParseColor() ones, and handle it internally


Adding a new "sRGB:r/g/b" syntax seems less clean -- if you'd have to =
handle it explicitly before passing it to XParseColor, why not just make =
it the default?

-Steve=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 4 May 2011 16:58:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 04 12:58:27 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHfP9-0000yA-2w
	for submit <at> debbugs.gnu.org; Wed, 04 May 2011 12:58:27 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1QHfP6-0000xt-Ew
	for 8402 <at> debbugs.gnu.org; Wed, 04 May 2011 12:58:25 -0400
Received: from [87.198.47.56] (87-198-47-56.ptr.magnet.ie [87.198.47.56])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 03F5F683D2;
	Wed,  4 May 2011 17:58:17 +0100 (IST)
Message-ID: <4DC185A8.7080907@HIDDEN>
Date: Wed, 04 May 2011 17:58:16 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;	Hex colors are not rendered
	correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
	<878vvhk9zj.fsf@HIDDEN>
In-Reply-To: <878vvhk9zj.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Steve Purcell <steve@HIDDEN>,
	Erik Andrejko <eandrejko@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 10/04/11 23:38, Chong Yidong wrote:
> Steve Purcell<steve@HIDDEN>  writes:
>
>> what's the color behavior on other window-systems? I haven't had the
>> opportunity to compare. It does seem like your fix would be more
>> likely to give the results a user would want.
>
> On X, we just pass color names to Xlib functions like XParseColor as
> simple RGB,

To nitpick:  AFAIK we pass the /color string names themselves/ to 
XParseColor() to resolve them, don't we? -  color name -> color mapping 
is not internally handled by emacs on X11.

You can even define your own named colors on x11 over and above the 
familiar historic rgb.txt set if you fiddle about e.g.

$ cat ~/.xcms.txt
XCMS_COLORDB_START 0.1
Blobby	rgb:7fe2/ffe1/331a
XCMS_COLORDB_END
$ export XCMSDB=/home/david/.xcms.txt
$ emacs

- Now "Blobby" is an additional named color like "green".

> i.e. not specifying any particular color space, letting that
> be chosen by X.

We-ell. See the XParseColor() manpage, section COLOR NAMES [1] - you
can explicitly specify various device-independent colorspaces, and they 
do in principle work if you put them into a color field in emacs on x11, 
because emacs just passes the string straight on through as mentioned 
above. You just need to use the right syntax as per the manpage (or 
define them as named colors similar to above).  But the 
"rgb:<red>/<green>/<blue>" (or "#RRGGBB") syntax in particular is 
defined to use the device space.

None of the device-independent colorspaces documented as standard by 
XParseColor() are sRGB though, that came later, which is a tad 
inconvenient in the modern era of wide use of sRGB. OTOH, CIEXYZ is 
available and there are forward and reverse transforms that can be 
applied. [2]

HOWEVER... the Xcms [3] scheme predates ICC and isn't really the color 
calibration system people tend to use nowadays AFAIK, people use xicc 
[4] which uses the same ICC profiles as found on windows etc., so the 
chances of a "CIEXYZ:X/Y/Z" color passed to XParseColor() actually 
winding up mapped to the right CIE XYZ point, well, AFAIUI, that would 
depend heavily on a user having actually bothered to set up a reasonable 
Xcms calibration via xcmsdb [5], not just having setup xicc calibration. 
  I suppose some sufficiently advanced tool might exist to extrapolate 
the Xcms calibration from a now-standard ICC calibration, but that 
sounds tricky to me (then again, I'm not an expert).

**  So if you want NS emacs to treat "#RRGGBB" values like x11 emacs 
currently does, it does sound to me like the thing to do is 
colorWithDeviceRed. colorWithCalibratedRed uses the 
NSCalibratedRGBColorSpace, which AFAICS isn't actually sRGB but isn't 
the device space either [6][7].

** It would be also presumably be possible to extend ns emacs to 
internally support some explicitly spelled out device-independent 
colorspace specification in the color spring like XParseColor() and 
therefore x11 emacs supports. If doing that, I do suggest using the same 
syntaxes as x11 for them...

** OTOH it's possible to imagine the emacs project deciding - rather 
backward incompatibly for x11 users mind you - that, say, "#RRGGBB" 
syntax color strings in emacs on all platforms are actually to be 
considered to be in the sRGB colorspace henceforth, like they are 
officially in html/css.

But #RRGGBB couldn't then be passed straight through to XParseColor() 
anymore on x11, because #RRGGBB there is defined to be a backward 
compatibility way of writing colors in the device space also available 
via "rgb:<red>/<green>/<blue>". They would need to be processed into 
CIEXYZ and passed to XParseColor() (in the probably vain hope the user 
has set up Xcms calibration), or (likely yielding better results in the 
modern era in practice AFAIUI) converted via application of an ICC 
profile found via xicc into the device space with a library like 
littlecms [8], which is what GIMP and the like now do.

So a more backward-compat friendly thing to do than using #RRGGBB for 
srgb, might be to add support within emacs for an 
"sRGB:<red>/<green>/<blue>"  syntax by analogy with the standard 
XParseColor() ones, and handle it internally (I guess it's unlikely at 
this stage the xlib maintainers will add such a thing as standard to 
XParseColor(), but I suppose they might...)

Yeesh,that got long. Hope I wasn't talking nonsense.


[1] http://linux.die.net/man/3/xparsecolor

[2] http://en.wikipedia.org/wiki/SRGB#Specification_of_the_transformation

[3] http://insar.stanford.edu/~lharcke/programming/Xcms/

[4] http://burtonini.com/blog/computers/xicc

[5] http://linux.die.net/man/1/xcmsdb

[6] 
http://developer.apple.com/library/mac/#documentation/cocoa/Conceptual/DrawColor/Concepts/AboutColorSpaces.html#//apple_ref/doc/uid/20000758-BBCHACHA

[7] 
http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSColorSpace_Class/Reference/Reference.html#//apple_ref/occ/cl/NSColorSpace


[8] http://www.littlecms.com/






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 4 May 2011 12:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 04 08:52:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QHbZJ-0002e0-4W
	for submit <at> debbugs.gnu.org; Wed, 04 May 2011 08:52:41 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QHbZG-0002dm-7I
	for 8402 <at> debbugs.gnu.org; Wed, 04 May 2011 08:52:39 -0400
Received: from mandala.home (host86-151-32-155.range86-151.btcentralplus.com
	[86.151.32.155])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 775EDECD779
	for <8402 <at> debbugs.gnu.org>; Wed,  4 May 2011 14:52:31 +0200 (CEST)
From: Steve Purcell <steve@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Date: Wed, 4 May 2011 13:52:30 +0100
Message-Id: <06419A7F-B281-4D8E-9E4B-D1C137F1ECFE@HIDDEN>
To: 8402 <at> debbugs.gnu.org
Mime-Version: 1.0 (Apple Message framework v1084)
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 8402
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

Chong Yidong wrote:
> On X, we just pass color names to Xlib functions like XParseColor as
> simple RGB, i.e. not specifying any particular color space, letting =
that
> be chosen by X.  I don't know how this choice is made; the Xlib docs
> simply say that the color space is device-dependent.  In general, I
> think we use whatever color space happens to be the system default.
>=20
> I am not familiar with the code in question, but from what I can tell
> the NS code always uses NSCalibratedRGBColorSpace, which indicates =
that
> using colorWithCalibratedRed to specify RGB components ought to do the
> right thing.  I don't know why it doesn't.



Thinking about this, if XParseColor interprets the RGB value as a =
device-dependent color, then it seems Erik is right that the correct NS =
function to use would be colorWithDeviceRed, not colorWithCalibratedRed.

It feels right to me that when the user sees a color on his display and =
enters its hex code in his Emacs config, the same color should get =
displayed. Switching to colorWithDeviceRed would seem to be the way to =
achieve this on NS, and under X11 the current behavior appears =
undefined.

-Steve=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 23 Apr 2011 20:36:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 16:36:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QDjZL-00040h-08
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2011 16:36:43 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1QDjZI-00040T-SE
	for 8402 <at> debbugs.gnu.org; Sat, 23 Apr 2011 16:36:41 -0400
Received: from mandala.home (host86-151-33-87.range86-151.btcentralplus.com
	[86.151.33.87])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id B7F7FECD779;
	Sat, 23 Apr 2011 22:36:33 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <878vvhk9zj.fsf@HIDDEN>
Date: Sat, 23 Apr 2011 21:36:32 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <352B9BE8-E62D-42A4-B316-9165EFCB4488@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>
	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
	<878vvhk9zj.fsf@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)


On 10 Apr 2011, at 23:38, Chong Yidong wrote:

> Steve Purcell <steve@HIDDEN> writes:
>=20
>> what's the color behavior on other window-systems? I haven't had the
>> opportunity to compare. It does seem like your fix would be more
>> likely to give the results a user would want.
>=20
> On X, we just pass color names to Xlib functions like XParseColor as
> simple RGB, i.e. not specifying any particular color space, letting =
that
> be chosen by X.  I don't know how this choice is made; the Xlib docs
> simply say that the color space is device-dependent.  In general, I
> think we use whatever color space happens to be the system default.
>=20
> I am not familiar with the code in question, but from what I can tell
> the NS code always uses NSCalibratedRGBColorSpace, which indicates =
that
> using colorWithCalibratedRed to specify RGB components ought to do the
> right thing.  I don't know why it doesn't.


I'm told by a user with access to an Emacs on X11 that hex colors on =
that window system display in what appears to be the same way; that is, =
the hex colors applied by Emacs do not correspond to the resultant sRGB =
display colors, but rather to a generic RGB color space which is =
translated by the host system into that sRGB color space.

I guess it'd be ideal if the hex colors entered in Emacs corresponded =
with the host window system's notion of hex colors, but it could also be =
argued that the existing behavior is at least consistent across =
platforms.

The downside of the current system is that it's not possible to directly =
apply to Emacs colors that have been found on the web or via a =
color-picker tool on the host machine.=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 14 Apr 2011 02:58:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 13 22:58:53 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QAClh-0001Uk-AS
	for submit <at> debbugs.gnu.org; Wed, 13 Apr 2011 22:58:53 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <travis.vachon@HIDDEN>) id 1QACiQ-0001Pw-KB
	for 8402 <at> debbugs.gnu.org; Wed, 13 Apr 2011 22:55:31 -0400
Received: by wwb28 with SMTP id 28so1552442wwb.15
	for <8402 <at> debbugs.gnu.org>; Wed, 13 Apr 2011 19:55:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:date:message-id:subject:from:to
	:content-type; bh=weliykNXvy1UmVJ0bcuMM54cyftLYKb8Vt4REdn+T40=;
	b=wIYwIfhvjb460E+cFzal2hWKKWeiej/7V1juUiqYRDXQ+JZvRNKJzzouMPbg9nzLb5
	u2Tlz37+NqF/leM9CQr3gPZXla7bljv5FVf9dWYHwynuHXnhH/fsqyk6l0DtkPsI3qu8
	rg3/SwmE3l8X9cbBouq5lYVaSu7tCz9RueLQI=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=oxjGyc1CzTk0dQDfelk+chgZLSSM5kFhqVERCldjBr/FYiEN8vmV8D3bKzJn1BROD0
	fkY0QAqC0s+b8xi171J4X0kL+lHiDZIwbbVuNzhe56Bdk6opNads/vr/W+gdpAlw93KR
	un8n4ADbABEsf6V2LcF3h7oaD7xvmKQu/iL7s=
MIME-Version: 1.0
Received: by 10.216.79.6 with SMTP id h6mr205381wee.68.1302749724898; Wed, 13
	Apr 2011 19:55:24 -0700 (PDT)
Received: by 10.216.70.66 with HTTP; Wed, 13 Apr 2011 19:55:24 -0700 (PDT)
Date: Wed, 13 Apr 2011 22:55:24 -0400
Message-ID: <BANLkTinQNExjJh7GB=62U5FxC6NdVi6egQ@HIDDEN>
Subject: re: bug 8402
From: Travis Vachon <travis.vachon@HIDDEN>
To: 8402 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 8402
X-Mailman-Approved-At: Wed, 13 Apr 2011 22:58:52 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.6 (-)

fwiw, Erik's patch worked like a charm for me too: digital color meter
matches the solarized palette perfectly post-patch.

I've pushed a homebrew formula for installing emacs with this patch:

https://github.com/travis/homebrew




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 10 Apr 2011 22:38:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 18:38:49 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q93HM-0003s0-SN
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2011 18:38:49 -0400
Received: from vm-emlprdomr-06.its.yale.edu ([130.132.50.147])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1Q93HK-0003rn-52
	for 8402 <at> debbugs.gnu.org; Sun, 10 Apr 2011 18:38:46 -0400
Received: from furball (dhcp128036159042.central.yale.edu [128.36.159.42])
	(authenticated bits=0)
	by vm-emlprdomr-06.its.yale.edu (8.14.4/8.14.4) with ESMTP id
	p3AMceO6024740
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Sun, 10 Apr 2011 18:38:40 -0400
Received: by furball (Postfix, from userid 1000)
	id 422D6160461; Sun, 10 Apr 2011 18:38:40 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>
	<5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
Date: Sun, 10 Apr 2011 18:38:40 -0400
In-Reply-To: <5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN> (Steve
	Purcell's message of "Fri, 8 Apr 2011 08:15:20 +0100")
Message-ID: <878vvhk9zj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Scanned-By: MIMEDefang 2.71 on 130.132.50.147
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org, Erik Andrejko <eandrejko@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Steve Purcell <steve@HIDDEN> writes:

> what's the color behavior on other window-systems? I haven't had the
> opportunity to compare. It does seem like your fix would be more
> likely to give the results a user would want.

On X, we just pass color names to Xlib functions like XParseColor as
simple RGB, i.e. not specifying any particular color space, letting that
be chosen by X.  I don't know how this choice is made; the Xlib docs
simply say that the color space is device-dependent.  In general, I
think we use whatever color space happens to be the system default.

I am not familiar with the code in question, but from what I can tell
the NS code always uses NSCalibratedRGBColorSpace, which indicates that
using colorWithCalibratedRed to specify RGB components ought to do the
right thing.  I don't know why it doesn't.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 8 Apr 2011 07:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 03:15:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q85uk-0007mi-R9
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 03:15:30 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1Q85ui-0007mV-Q0
	for 8402 <at> debbugs.gnu.org; Fri, 08 Apr 2011 03:15:29 -0400
Received: from mandala.home (host86-151-33-87.range86-151.btcentralplus.com
	[86.151.33.87])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 9B8FCECD779;
	Fri,  8 Apr 2011 09:15:21 +0200 (CEST)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>
Date: Fri, 8 Apr 2011 08:15:20 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <5F0512AE-418C-4830-A4B5-BA06140A4CD2@HIDDEN>
References: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>
To: Erik Andrejko <eandrejko@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8402
Cc: 8402 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Erik - what's the color behavior on other window-systems? I haven't had =
the opportunity to compare. It does seem like your fix would be more =
likely to give the results a user would want.

-Steve=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 8 Apr 2011 06:32:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 02:32:29 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q85F6-0006p5-3m
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 02:32:28 -0400
Received: from mail-iw0-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eandrejko@HIDDEN>) id 1Q83R3-0004H0-EV
	for 8402 <at> debbugs.gnu.org; Fri, 08 Apr 2011 00:36:42 -0400
Received: by iwn39 with SMTP id 39so3109128iwn.3
	for <8402 <at> debbugs.gnu.org>; Thu, 07 Apr 2011 21:36:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:from:content-type:content-transfer-encoding
	:subject:date:message-id:to:mime-version:x-mailer;
	bh=gsn+4I0fNLHPweSt87gFQ/vuxoUmPpVSxcNTO0S29RM=;
	b=giDEHgZqEXUxUDyfEuUDODqcYs9ySEWt6A5iFmCdCkqevJRcJY6nm/JmbrN0ikQIxD
	ocAmIlvDxrIgqSZhCyzN4pwkhPObUL03Wnso5YuYSvMQbhhMcGQC4o+5ZcIxKtbVzLiO
	a0IJ+hBRyAC7Qpv7UO0FIpv5NOq0W0gJfZRHQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:content-type:content-transfer-encoding:subject:date:message-id
	:to:mime-version:x-mailer;
	b=MZ4o8xmxn6MBOwuU+L58tGHnLkduNQ8XxXWRuQPxlKMbXTsMyon7sYiDh9tDEuNh0S
	SjcsbZB+QMswKtzVbNStOB1WKB5DAMFhSDk6IrXQ0uqOduEJ0CyUNd4XCxa6VuPo+mum
	uU+CNbio51nTjNfDtK1NP/7P4qGfxjNg9H/jc=
Received: by 10.42.40.211 with SMTP id m19mr2632903ice.190.1302237395445;
	Thu, 07 Apr 2011 21:36:35 -0700 (PDT)
Received: from [10.0.1.6] (adsl-75-37-15-12.dsl.pltn13.sbcglobal.net
	[75.37.15.12])
	by mx.google.com with ESMTPS id uk4sm1448794icb.21.2011.04.07.21.36.30
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 07 Apr 2011 21:36:34 -0700 (PDT)
From: Erik Andrejko <eandrejko@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
Date: Thu, 7 Apr 2011 21:36:18 -0700
Message-Id: <8591B978-B263-4A6B-B65E-B18B45C76CFD@HIDDEN>
To: steve@HIDDEN,
 8402 <at> debbugs.gnu.org
Mime-Version: 1.0 (Apple Message framework v1082)
X-Mailer: Apple Mail (2.1082)
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 8402
X-Mailman-Approved-At: Fri, 08 Apr 2011 02:32:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

I was able to fix this problem on my OS X 10.6 machine by modifying =
nsterm.m:

diff --git a/src/nsterm.m b/src/nsterm.m
index af1f21a..696dbdc 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -1389,7 +1389,7 @@ ns_get_color (const char *name, NSColor **col)
=20
   if (r >=3D 0.0)
     {
-      *col =3D [NSColor colorWithCalibratedRed: r green: g blue: b =
alpha: 1.0];
+      *col =3D [NSColor colorWithDeviceRed: r green: g blue: b alpha: =
1.0];
       UNBLOCK_INPUT;
       return 0;
     }


After the change, the RGB values of the colors displayed matched the =
expected RGB values according to the DigitalColor Meter utility.=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 3 Apr 2011 21:29:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 17:29:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q6UrK-0003vt-L0
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2011 17:29:22 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1Q6UrI-0003vg-QE
	for 8402 <at> debbugs.gnu.org; Sun, 03 Apr 2011 17:29:21 -0400
Received: from mandala.home (host86-151-33-87.range86-151.btcentralplus.com
	[86.151.33.87])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 2AB83ECD779
	for <8402 <at> debbugs.gnu.org>; Sun,  3 Apr 2011 23:29:12 +0200 (CEST)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Apple Message framework v1084)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <4B0EC322-6A35-4733-92B3-BD38DC7BC913@HIDDEN>
Date: Sun, 3 Apr 2011 22:29:10 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <0570709C-3020-497F-9AA0-C5863C8FBA55@HIDDEN>
References: <684839CF-AD6D-43E0-8659-F419C17DD5A2@HIDDEN>
	<handler.8402.B.130165209313902.ack <at> debbugs.gnu.org>
	<4B0EC322-6A35-4733-92B3-BD38DC7BC913@HIDDEN>
To: 8402 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8402
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

The behavior I am seeing (and had taken to be incorrect) is possibly a =
result of misunderstanding Emacs' color handling, and if that's the case =
then please feel free to close this bug.

Specifically, it seems like the colors I *wanted* to see (and had =
applied as hex colors to Emacs' faces) were sRGB colors, but if I =
convert those sRGB colors to "Generic RGB" values in Apple's "Colorsync =
Utility" and then plug them into Emacs, I get the desired sRGB screen =
colors.

So are Emacs' RGB colors explicitly Generic RGB rather than sRGB? I'm =
pretty sure the answer must be "yes", and that the bug should be closed.


On 1 Apr 2011, at 12:03, Steve Purcell wrote:

> I should add that I don't see any mention of 'screen-gamma in the =
frame parameters, and setting different values, e.g. with the following =
code, has no effect.
>=20
> (set-frame-parameter (selected-frame) 'screen-gamma 1.5)





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at 8402 <at> debbugs.gnu.org:


Received: (at 8402) by debbugs.gnu.org; 1 Apr 2011 11:03:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 01 07:03:38 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q5c8f-00052X-R3
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2011 07:03:38 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1Q5c8c-00052I-DX
	for 8402 <at> debbugs.gnu.org; Fri, 01 Apr 2011 07:03:35 -0400
Received: from mandala.home (host86-168-250-132.range86-168.btcentralplus.com
	[86.168.250.132])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 01404ECD779
	for <8402 <at> debbugs.gnu.org>; Fri,  1 Apr 2011 13:03:27 +0200 (CEST)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Apple Message framework v1084)
Subject: Re: bug#8402: Acknowledgement (24.0.50;
	Hex colors are not rendered correctly on OS X (Cocoa))
From: Steve Purcell <steve@HIDDEN>
In-Reply-To: <handler.8402.B.130165209313902.ack <at> debbugs.gnu.org>
Date: Fri, 1 Apr 2011 12:03:26 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <4B0EC322-6A35-4733-92B3-BD38DC7BC913@HIDDEN>
References: <684839CF-AD6D-43E0-8659-F419C17DD5A2@HIDDEN>
	<handler.8402.B.130165209313902.ack <at> debbugs.gnu.org>
To: 8402 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 8402
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

I should add that I don't see any mention of 'screen-gamma in the frame =
parameters, and setting different values, e.g. with the following code, =
has no effect.

 (set-frame-parameter (selected-frame) 'screen-gamma 1.5)=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Apr 2011 10:01:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 01 06:01:33 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q5bAY-0003c8-DO
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2011 06:01:33 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <steve@HIDDEN>) id 1Q5bAV-0003bv-Vv
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2011 06:01:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <steve@HIDDEN>) id 1Q5bAP-00063H-Ko
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2011 06:01:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:54892)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <steve@HIDDEN>) id 1Q5bAP-00063D-Gv
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2011 06:01:21 -0400
Received: from [140.186.70.92] (port=59495 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q5bAO-0006aM-0K
	for bug-gnu-emacs@HIDDEN; Fri, 01 Apr 2011 06:01:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <steve@HIDDEN>) id 1Q5bAM-00062S-G5
	for bug-gnu-emacs@HIDDEN; Fri, 01 Apr 2011 06:01:19 -0400
Received: from h1189701.stratoserver.net ([85.214.32.38]:37671)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <steve@HIDDEN>) id 1Q5bAM-00061X-Ae
	for bug-gnu-emacs@HIDDEN; Fri, 01 Apr 2011 06:01:18 -0400
Received: from mandala.home (host86-168-250-132.range86-168.btcentralplus.com
	[86.168.250.132])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id C890AECD779
	for <bug-gnu-emacs@HIDDEN>; Fri,  1 Apr 2011 12:01:11 +0200 (CEST)
From: Steve Purcell <steve@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: 24.0.50; Hex colors are not rendered correctly on OS X (Cocoa)
Date: Fri, 1 Apr 2011 11:01:11 +0100
Message-Id: <684839CF-AD6D-43E0-8659-F419C17DD5A2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Apple Message framework v1084)
X-Mailer: Apple Mail (2.1084)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

Hi,

If I set face colors using hex values, those colors are not displayed
correctly.

For example, 'M-x set-face-background RET default RET #fdf6e3 RET'
results in a frame background color which, when sampled using Apple's
"Digital Color Meter" utility, has hex value #fff8e8.

And, in fact, all colors are apparently skewed similarly, while other
Cocoa apps (e.g. iterm2) render them correctly.

To give an example from out in the field, here is a screenshot of a
color theme as rendered by Emacs: =
http://dropup.net/lz64u0ctpcge.png.html

and here is how those same colors would look if they were rendered
correctly:

=
http://ethanschoonover.com/img/solarized/solarized-screen-pandoc-dark.png

Note the significant difference in the background color, for instance.

Could it be that Emacs needs to hook into system-provided color
management routines on this platform in order for its colors to be
correctly calibrated?

-Steve



In GNU Emacs 24.0.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.35)
of 2011-03-20 on black.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--host=3Dx86_64-apple-darwin' =
'--build=3Di686-apple-darwin' '--with-ns' =
'build_alias=3Di686-apple-darwin' 'host_alias=3Dx86_64-apple-darwin' =
'CC=3Dgcc -mmacosx-version-min=3D10.5''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8
  default enable-multibyte-characters: t





Acknowledgement sent to Steve Purcell <steve@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8402; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.